internal::unfolded_indexer_node< OutputTuple > Class Template Reference

`#include <_flow_graph_indexer_impl.h>`

Inheritance diagram for internal::unfolded_indexer_node< OutputTuple >:
Collaboration diagram for internal::unfolded_indexer_node< OutputTuple >:

## Public Types

typedef indexer_types< OutputTuple >::input_ports_type | input_ports_type
typedef OutputTuple | tuple_types
typedef indexer_types< OutputTuple >::output_type | output_type
Public Types inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
typedef OutputType | output_type
typedef StructTypes | tuple_types
typedef sender< output_type >::successor_type | successor_type
typedef indexer_node_FE< InputTuple, output_type, StructTypes > | input_ports_type
Public Types inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
typedef OutputType | output_type
typedef InputTuple | input_type

## Public Member Functions

| unfolded_indexer_node (graph &g)
| unfolded_indexer_node (const unfolded_indexer_node &other)
Public Member Functions inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
| indexer_node_base (graph &g)
| indexer_node_base (const indexer_node_base &other)
bool | register_successor (successor_type &r) __TBB_override
bool | remove_successor (successor_type &r) __TBB_override
task * | try_put_task (output_type const *v)
Public Member Functions inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
| indexer_node_FE ()
input_type & | input_ports ()

## Private Types

typedef indexer_types< OutputTuple >::indexer_base_type | base_type

## Additional Inherited Members

Static Public Attributes inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
static const size_t | N = tbb::flow::tuple_size<InputTuple>::value
Static Public Attributes inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
static const int | N = tbb::flow::tuple_size<InputTuple>::value
Protected Member Functions inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
void | reset_node (reset_flags f) __TBB_override
Protected Attributes inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
input_type | my_inputs

## Detailed Description

### template<class OutputTuple>
class internal::unfolded_indexer_node< OutputTuple >

Definition at line 466 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## base_type

template<class OutputTuple >

typedef indexer_types<OutputTuple>::indexer_base_type internal::unfolded_indexer_node< OutputTuple >::base_type

private

Definition at line 472 of file _flow_graph_indexer_impl.h.

## input_ports_type

template<class OutputTuple >

typedef indexer_types<OutputTuple>::input_ports_type internal::unfolded_indexer_node< OutputTuple >::input_ports_type

Definition at line 468 of file _flow_graph_indexer_impl.h.

## output_type

template<class OutputTuple >

typedef indexer_types<OutputTuple>::output_type internal::unfolded_indexer_node< OutputTuple >::output_type

Definition at line 470 of file _flow_graph_indexer_impl.h.

## tuple_types

template<class OutputTuple >

typedef OutputTuple internal::unfolded_indexer_node< OutputTuple >::tuple_types

Definition at line 469 of file _flow_graph_indexer_impl.h.

## Constructor & Destructor Documentation

## unfolded_indexer_node() [1/2]

template<class OutputTuple >

internal::unfolded_indexer_node< OutputTuple >::unfolded_indexer_node | ( | graph & | g | ) |

inline

Definition at line 474 of file _flow_graph_indexer_impl.h.

: base_type(g) {}
internal::unfolded_indexer_node::base_type
indexer_types< OutputTuple >::indexer_base_type base_type
Definition: _flow_graph_indexer_impl.h:472

## unfolded_indexer_node() [2/2]

template<class OutputTuple >

internal::unfolded_indexer_node< OutputTuple >::unfolded_indexer_node | ( | const unfolded_indexer_node< OutputTuple > & | other | ) |

inline

Definition at line 475 of file _flow_graph_indexer_impl.h.

: base_type(other) {}

The documentation for this class was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.